Bug 1192628 - multilib packages not installed with using '%packages --multilib' in a kickstart file
Summary: multilib packages not installed with using '%packages --multilib' in a kickst...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-13 21:33 UTC by David Cantrell
Modified: 2016-12-20 13:14 UTC (History)
12 users (show)

Fixed In Version: anaconda-23.3-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:14:51 UTC
Type: Bug


Attachments (Terms of Use)

Description David Cantrell 2015-02-13 21:33:13 UTC
With yum, we interpreted the --multilib option on %packages to mean set multilib_policy="all" in the yum.conf used for installation.  The default was to have multilib_policy="best".

We tried multilib_policy="all" in the dnf configuration used at install time, but that did not work.  Installation proceeds and you just get the target arch packages.

If I perform the same installation and pass inst.nodnf so the yum backend is used in anaconda, I get a YumRPMTransError when it begins preparing the transaction.  It seems the pam_pkcs11 packages for i686 and x86_64 both own /usr/share/doc/pam_pkcs11/pam.d_login.example and /usr/share/doc/pam_pkcs11/pam_pkcs11.html.  An error in that package, but I'm curious if dnf hit this and silently ignored it or if it didn't try depsolving multilib packages at all.

Comment 1 Radek Holy 2015-02-16 12:40:46 UTC
Thank you for the report. First of all, it seems you are trying to use an unsupported feature because the "multilib_policy" option is not documented.

So, we should document it first.

Can you please confirm that it does not work for you even if the value passed to the "multilib_policy" option in the DNF's configuration file is *not* surrounded with quotes?

And last but not least, I cannot reproduce it on a fresh Fedora installation. Both pam_pkcs11-0.6.8-3.fc21.i686 and pam_pkcs11-0.6.8-3.fc21.x86_64 are suggested to be installed. Can you please mention the versions of DNF and pam_pkcs11 packages that causes the problem? Ideally, please, try to reproduce it and attach the debug data according to http://dnf.baseurl.org/2013/11/25/reporting-depsolving-bugs/ .

Comment 2 David Cantrell 2015-03-06 21:05:01 UTC
Yeah, looking at this further, things work fine with just changes to dnfpayload.py in anaconda.  Completely lacking any multilib handling in that file.  dnf by itself works fine by changing dnf.conf.

Regarding multilib, you absolutely need to document the functionality and support it.  Repos and software in Fedora and RHEL is multilib by nature and we will need installation flexibility on a per-variant basis in future RHEL releases.  Likely Fedora too.

Moving this to anaconda since the change is there.

Comment 3 Chris Lumens 2015-05-18 18:46:09 UTC
This doesn't appear to be working, at least not in the kickstart tests with anaconda.  I don't see any 32-bit glibc installed.

Comment 4 Jan Kurik 2015-07-15 14:32:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Fedora End Of Life 2016-11-24 11:26:59 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 13:14:51 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.